Bug 70354 - [NVE6,NVE7] HUB_INIT timeout on graph init, blob fw doesn't help
Summary: [NVE6,NVE7] HUB_INIT timeout on graph init, blob fw doesn't help
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
: 80627 87942 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-10-10 19:35 UTC by Fred New
Modified: 2016-02-02 23:16 UTC (History)
14 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (37.21 KB, text/plain)
2013-10-10 19:35 UTC, Fred New
no flags Details
dmesg (91.68 KB, text/plain)
2013-10-10 19:36 UTC, Fred New
no flags Details
Full dmesg on linux-3.12-rc4 - without config=NvGrUseFw=1 (72.21 KB, text/plain)
2013-10-12 20:17 UTC, Joey 4712
no flags Details
Full dmesg on linux-3.12-rc4 - with config=NvGrUseFw=1 (72.22 KB, text/plain)
2013-10-12 20:20 UTC, Joey 4712
no flags Details
Full dmesg on linux-3.11.4-1 - without config=NvGrUseFw=1 (73.90 KB, text/plain)
2013-10-12 20:23 UTC, Joey 4712
no flags Details
Full dmesg on linux-3.11.4-1 - with config=NvGrUseFw=1 (73.02 KB, text/plain)
2013-10-12 20:25 UTC, Joey 4712
no flags Details
another dmesg with some more messages at the end (86.07 KB, text/plain)
2013-11-06 06:52 UTC, Martin
no flags Details
Full dmesg on linux-3.13.0-1 - loading nouveau.ko built from Ben's repository (70.61 KB, text/plain)
2013-12-14 09:41 UTC, Joey 4712
no flags Details
probably "fix" (1.40 KB, patch)
2014-03-05 04:47 UTC, Ben Skeggs
no flags Details | Splinter Review
dmesg | egrep -i "nouveau|drm" (5.93 KB, text/plain)
2014-04-03 10:08 UTC, D. Moens
no flags Details
kernel log file in case it doesn't HUB_INIT timeout (746.24 KB, text/plain)
2014-08-29 09:21 UTC, Karol Herbst
no flags Details
mmiotrace when module loads sucessfully (299.24 KB, application/x-xz)
2014-09-27 17:04 UTC, Karol Herbst
no flags Details
mmiotrace when failing (433.64 KB, text/plain)
2014-09-27 17:11 UTC, Karol Herbst
no flags Details
Xorg log (37.39 KB, text/plain)
2015-01-18 13:32 UTC, Vitaly Torshyn
no flags Details
dmesg (215.81 KB, text/plain)
2015-01-18 13:32 UTC, Vitaly Torshyn
no flags Details
lspci -v (8.24 KB, text/plain)
2015-01-18 13:32 UTC, Vitaly Torshyn
no flags Details
mmiotrace for GK107 (4.00 KB, text/plain)
2015-07-01 19:27 UTC, Bozhan Boyadzhiev
no flags Details
mmiotrace for GK107 ~39MB (2.33 MB, text/plain)
2015-07-01 21:21 UTC, Bozhan Boyadzhiev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fred New 2013-10-10 19:35:40 UTC
Created attachment 87411 [details]
Xorg.0.log

It looks like my new HP Envy 17, Intel Core i7-4702MQ (Haswell), Nvidia GeForce GT 750M is a little too bleeding edge. Initialisation of the GT 750M fails and the integrated graphics controller is used.

My operating system is Fedora 20 (beta) with Linux kernel 3.11.3-301.bz105920.fc20.x86_64. This is the 3.11.3-301.fc20.x86_64 kernel with two patches from freedesktop bug 70208 applied - patches from comment 6 and comment 10.

The xorg nouveau driver from Fedora is xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64.
Comment 1 Fred New 2013-10-10 19:36:31 UTC
Created attachment 87412 [details]
dmesg
Comment 2 Ilia Mirkin 2013-10-10 19:43:03 UTC
This bug appears to be identical to the later issue presented in #70208 (comment 15) -- of which you were aware since you even posted in that issue. What was your motivation for opening a separate issue?
Comment 3 Fred New 2013-10-10 20:01:38 UTC
Sorry, reading the comments in bug 70208, I was under the impression that the vbios problem was resolved and a new bug was needed to resolve the next problem that appeared. Feel free to close this as duplicate if that isn't the case.
Comment 4 Ilia Mirkin 2013-10-10 20:37:19 UTC
Erm, you're right. My bad. Let's keep this separate. I'll put up a note in the other issue.
Comment 5 Ilia Mirkin 2013-10-10 22:13:17 UTC
Looks like a PGRAPH init failure, here's the relevant bit:

[   34.393155] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x300000 [ IBUS ]
[   34.393201] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   36.395442] nouveau E[  PGRAPH][0000:01:00.0] HUB_INIT timed out
[   36.395451] nouveau E[  PGRAPH][0000:01:00.0] 409000 - done 0x00000244
[   36.395462] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   36.395472] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   36.395477] nouveau E[  PGRAPH][0000:01:00.0] 502000 - done 0x00000300
[   36.395484] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   36.395490] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   36.395492] nouveau E[  PGRAPH][0000:01:00.0] init failed, -16
Comment 6 Joey 4712 2013-10-12 19:58:16 UTC
Think I have the same problem on my Geforce GT 750M on Asus N750JV laptop.

I'm using Manjaro Linux and tried it with Kernel 3.11 and 3.12. 

After fixing the loading of the vbios (see https://bugs.freedesktop.org/show_bug.cgi?id=70208) I get the following message:

 Failed to initialise context object: 2D_NVC0 (0)

When I extract the firmware and load the nouveau kernel module with config=NvGrUseFw=1 I'm getting this error on dmesg when starting X:

 [   43.161759] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x300000 [ IBUS ]
 [   43.161803] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
 [   45.164110] nouveau E[  PGRAPH][0000:01:00.0] fuc09 req 0x10 timeout
 [   45.164114] nouveau E[  PGRAPH][0000:01:00.0] init failed, -16


I will attach the full dmesg for both kernels, with and without using external firmware. Please also note that I extracted the firmware myself and I'm not sure if the generated firmware files are correct.

In addition I will send mmiotrace of the working nvidia blob driver to mmio dot dumps at gmail dot com.

If you need more information or if I can support you in any way having a closer look at this, please just let me know :-)
Comment 7 Joey 4712 2013-10-12 20:13:42 UTC
(In reply to comment #6)

Without external firmware (without config=NvGrUseFw=1) the dmesg when starting X looks like this: (very similar to the one reported above, as far as I can see)


[  969.762998] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x300000 [ IBUS ]
[  969.763048] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[  971.764879] nouveau E[  PGRAPH][0000:01:00.0] HUB_INIT timed out
[  971.764886] nouveau E[  PGRAPH][0000:01:00.0] 409000 - done 0x00000244
[  971.764896] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[  971.764906] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[  971.764909] nouveau E[  PGRAPH][0000:01:00.0] 502000 - done 0x00000300
[  971.764915] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[  971.764920] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[  971.764922] nouveau E[  PGRAPH][0000:01:00.0] init failed, -16
Comment 8 Joey 4712 2013-10-12 20:17:07 UTC
Created attachment 87530 [details]
Full dmesg on linux-3.12-rc4 - without config=NvGrUseFw=1
Comment 9 Joey 4712 2013-10-12 20:20:17 UTC
Created attachment 87531 [details]
Full dmesg on linux-3.12-rc4 - with config=NvGrUseFw=1
Comment 10 Joey 4712 2013-10-12 20:23:39 UTC
Created attachment 87532 [details]
Full dmesg on linux-3.11.4-1 - without config=NvGrUseFw=1
Comment 11 Joey 4712 2013-10-12 20:25:38 UTC
Created attachment 87533 [details]
Full dmesg on linux-3.11.4-1 - with config=NvGrUseFw=1
Comment 12 Joey 4712 2013-10-12 20:35:57 UTC
I've sent the mmiotrace to mmio dot dumps at gmail dot com.
Comment 13 Ivan Havlicek 2013-11-06 00:55:26 UTC
Hi,

I have same issue (kernel-3.11.6), my card is a GeForce GTX 765M (10de:11e2).
I'm also ready to help if needed, my log :

$ dmesg | grep -i -e nouveau -e drm
[    4.607166] [drm] Initialized drm 1.1.0 20060810
[    4.656791] [drm] Memory usable by graphics device = 2048M
[    4.656796] fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
[    5.235194] fb: conflicting fb hw usage inteldrmfb vs VGA16 VGA - removing generic driver
[    5.249530] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    5.249533] [drm] Driver supports precise vblank timestamp query.
[    5.300252] fbcon: inteldrmfb (fb0) is primary device
[    6.727359] [drm] Enabling RC6 states: RC6 on, RC6p off, RC6pp off
[    8.082531] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    8.084219] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    8.085730] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e6220a1
[    8.085770] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK106 (NVE6)
[    8.085771] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
[    8.086406] nouveau  [   VBIOS][0000:01:00.0] checking PRAMIN for image...
[    8.134605] nouveau  [   VBIOS][0000:01:00.0] ... signature not found
[    8.134696] nouveau  [   VBIOS][0000:01:00.0] checking PROM for image...
[    8.309024] nouveau  [   VBIOS][0000:01:00.0] ... appears to be valid
[    8.310003] nouveau  [   VBIOS][0000:01:00.0] using image from PROM
[    8.311106] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    8.312066] nouveau  [   VBIOS][0000:01:00.0] version 80.06.5b.00.05
[    8.313602] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
[    8.314594] nouveau  [   VBIOS][0000:01:00.0] running init tables
[    8.419401] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[    8.420382] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
[    8.421371] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    8.445223] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    8.446209] nouveau  [  PTHERM][0000:01:00.0] fan management: disabled
[    8.447206] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    8.487489] nouveau  [     DRM] VRAM: 2048 MiB
[    8.488465] nouveau  [     DRM] GART: 1048576 MiB
[    8.489437] nouveau E[     DRM] Pointer to TMDS table invalid
[    8.490396] nouveau  [     DRM] DCB version 4.0
[    8.491369] nouveau E[     DRM] Pointer to flat panel table invalid
[    8.492335] nouveau W[     DRM] voltage table 0x50 unknown
[    8.493301] nouveau  [     DRM] 3 available performance level(s)
[    8.494246] nouveau  [     DRM] 0: core 202MHz shader 405MHz memory 405MHz voltage 100mV
[    8.495207] nouveau  [     DRM] 1: core 405MHz shader 810MHz memory 1080MHz voltage 80mV
[    8.496147] nouveau  [     DRM] 3: core 1002MHz shader 2004MHz memory 1080MHz voltage 40mV
[    8.497098] nouveau  [     DRM] c:
[    8.509834] nouveau  [     DRM] MM: using COPY for buffer copies
[    8.510744] [drm] Initialized nouveau 1.1.1 20120801 for 0000:01:00.0 on minor 1
[    8.645176] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[    8.645188] nouveau E[   PIBUS][0000:01:00.0] GPC2: 0x419f74 0x00000555 (0x3800820c)
[    8.645321] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000001 FAULT at 0x503018 [ IBUS ]
[    8.645360] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[    8.645389] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0xbadf1008 FAULT at 0x419cc0 [ IBUS ]
[    8.645399] nouveau E[   PIBUS][0000:01:00.0] GPC2: 0x419cc0 0xbadf1008 (0x3800820c)
[    8.645547] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0xbadf1000 FAULT at 0x419eb4 [ IBUS ]
[    8.645564] nouveau E[   PIBUS][0000:01:00.0] GPC2: 0x419eb4 0xbadf1000 (0x3800820c)
[   10.648199] nouveau E[  PGRAPH][0000:01:00.0] HUB_INIT timed out
[   10.648204] nouveau E[  PGRAPH][0000:01:00.0] 409000 - done 0x00000244
[   10.648208] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648212] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   10.648214] nouveau E[  PGRAPH][0000:01:00.0] 502000 - done 0x00000300
[   10.648220] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648226] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648228] nouveau E[  PGRAPH][0000:01:00.0] 50a000 - done 0x00000300
[   10.648234] nouveau E[  PGRAPH][0000:01:00.0] 50a000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648239] nouveau E[  PGRAPH][0000:01:00.0] 50a000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648242] nouveau E[  PGRAPH][0000:01:00.0] 512000 - done 0x00000300
[   10.648247] nouveau E[  PGRAPH][0000:01:00.0] 512000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648253] nouveau E[  PGRAPH][0000:01:00.0] 512000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   10.648255] nouveau E[  PGRAPH][0000:01:00.0] init failed, -16

which results in this error while runing Xorg :
 
[     8.621] (II) NOUVEAU(G0): Opened GPU channel 0
[    10.622] (EE) NOUVEAU(G0): Failed to initialise context object: 2D_NVC0 (0)
[    10.622] (EE) NOUVEAU(G0): Error initialising acceleration.  Falling back to NoAccel
Comment 14 Martin 2013-11-06 06:51:18 UTC
This is my bug I think, but i got some more dmesg messages, as far as I can see, I'll try to upload...
Comment 15 Martin 2013-11-06 06:52:47 UTC
Created attachment 88738 [details]
another dmesg with some more messages at the end
Comment 16 Emil Velikov 2013-11-06 11:46:14 UTC
(In reply to comment #14)
> This is my bug I think, but i got some more dmesg messages, as far as I can
> see, I'll try to upload...

Your card and dmesg output is very different from the one(s) concentrated in this bug report.
I would suggest taking a look at our wiki [1] [2] and filling a separate bug.

[1] http://nouveau.freedesktop.org/wiki/Bugs/
[2] http://nouveau.freedesktop.org/wiki/TroubleShooting/
Comment 17 Ilia Mirkin 2013-12-10 13:12:05 UTC
If any of you are up for it, there's a HUB_INIT timeout fix in Ben's repository. It's set up as an out-of-tree module:

git clone git://people.freedesktop.org/~darktama/nouveau
cd nouveau/drm; make

That should create a nouveau.ko that you can use. The tree it will compile against probably has to be 3.13-rc1+. (You can also port the patches over to the linux tree with a bunch of sed work.)

P.S. The patch in question is: http://cgit.freedesktop.org/~darktama/nouveau/commit/?id=0c463bb767a0af0781256ec118c5890077c2f46c
Comment 18 Joey 4712 2013-12-14 09:41:40 UTC
Created attachment 90760 [details]
Full dmesg on linux-3.13.0-1 - loading nouveau.ko built from Ben's repository

Thanks or your information about the HUB_INIT timeout fix in Ben's repository.

I tried it for Geforce GT 750M on Asus N750JV laptop on linux-3.13.0-1 but the module fails to load with a lot of messages like "nouveau: Unknown symbol ttm_bo_mmap (err 0)".

Attaching full dmesg output.
Comment 19 Joey 4712 2013-12-14 10:26:37 UTC
Sorry for posting too quickly: found it myself, I only had to "modprobe ttm" first to fix these "Unknown symbol ttm_bo_mmap..." errors.

No the nouveau.ko from ben's repo loads successfully but I'm getting the HUB_INIT timed out message again:

[   99.171109] [drm] Initialized nouveau 1.1.1 20120801 for 0000:01:00.0 on minor 1
[   99.314206] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x300000 [ IBUS ]
[   99.314232] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   99.314464] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[  101.316059] nouveau E[  PGRAPH][0000:01:00.0] HUB_INIT timed out
Comment 20 Joey 4712 2013-12-14 11:18:18 UTC
Btw: The commit message of the patch says it is for GK110/GK208 but the GT 750M this bug is about is a GK107, am I right? Should the patch also work for GK107 or is it possible to make it work for GK107 as well?
Comment 21 Ben Skeggs 2014-03-05 04:47:03 UTC
Created attachment 95131 [details] [review]
probably "fix"
Comment 22 Joey 4712 2014-03-05 21:24:51 UTC
Thanks soooo much.

It's working now with you patch applied against Linux 3.13 Kernel source on Manjaro Linux.

  $ xrandr --setprovideroffloadsink nouveau Intel
  $ DRI_PRIME=1 glxgears -info
  Running synchronized to the vertical refresh.  The framerate should be
  approximately the same as the monitor refresh rate.
  GL_RENDERER   = Gallium 0.4 on NVE7
  GL_VERSION    = 3.0 Mesa 10.0.3
  GL_VENDOR     = nouveau

Do you need any more info? Like dmesg of the now working nouveau setup?

Once again, thanks to all of you!
Comment 23 Richard 2014-03-07 21:17:54 UTC
Same issue on a Lenovo Y510P. Tried compiling the module from Ben's git sources in comment 17 on a 3.13.5 kernel, but it complains:

/hidden_tmp/nouveau/drm/core/subdev/mxm/base.c:109:2: error: implicit declaration of function ‘acpi_evaluate_dsm’ [-Werror=implicit-function-declaration]

grep -R acpi_evaluate_dsm /usr/src/linux/* comes up with nothing, so I'm guessing this function disappeared?

Also tried simply applying the patch (link in comment 17) to a copy of my source tree, and I seem to be missing (at least) the "engine/graph/fuc/hubnv108.fuc5.h" file in my source tree.
Comment 24 Ilia Mirkin 2014-03-07 21:24:30 UTC
(In reply to comment #23)
> Same issue on a Lenovo Y510P. Tried compiling the module from Ben's git
> sources in comment 17 on a 3.13.5 kernel, but it complains:
> 
> /hidden_tmp/nouveau/drm/core/subdev/mxm/base.c:109:2: error: implicit
> declaration of function ‘acpi_evaluate_dsm’
> [-Werror=implicit-function-declaration]
> 
> grep -R acpi_evaluate_dsm /usr/src/linux/* comes up with nothing, so I'm
> guessing this function disappeared?

More like 'appeared'. That tree is against the ~latest kernel (3.14-rcX right now).

> 
> Also tried simply applying the patch (link in comment 17) to a copy of my
> source tree, and I seem to be missing (at least) the
> "engine/graph/fuc/hubnv108.fuc5.h" file in my source tree.

Check the patch in comment 21 (attachment 95131 [details] [review]). It's not in Ben's git repo, since he's not sure what effect it'll have on other cards.
Comment 25 D. Moens 2014-03-18 13:43:52 UTC
Experiencing the same issue on a Dell M4800 QHD+ (NVE6).

- Fedora rawhide :
kernel-3.14.0-0.rc7.git0.1.fc21.x86_64
xorg-x11-server-Xorg-1.15.0-5.fc21.x86_64
xorg-x11-drv-nouveau-1.0.10-1.fc21.x86_64

- lscpi :
01:00.0 VGA compatible controller: NVIDIA Corporation GK106GLM [Quadro K2100M] (rev a1)

- Kernel command line:
BOOT_IMAGE=/vmlinuz-rawhide-nouveau root=/dev/mapper/vg01-rootfs4 ro rd.lvm.lv=vg01/rootfs4 vconsole.font=latarcyrheb-sun16 LANG=en_US.UTF-8 nouveau.debug=PDISP=debug,VBIOS=trace drm.debug=0xe


- Recompiled latest http://cgit.freedesktop.org/~darktama/nouveau/ as of 2014-03-18 :
Comment 26 D. Moens 2014-03-18 19:58:28 UTC
(In reply to comment #25)
> Experiencing the same issue on a Dell M4800 QHD+ (NVE6).

Argh, my apologies.
Please disregard comment #25 (filed under bug #76319).
Comment 27 D. Moens 2014-04-03 10:08:30 UTC
Created attachment 96836 [details]
dmesg | egrep -i "nouveau|drm"

Testing with GK106GLM [Quadro K2100M], QHD+ (3200x1800) screen.

MMIO FAULT is reproducible with kernel 3.14 & darktama's git  633e16bb8571071b9da8ed03513a2266cbf21eb5.
Comment 28 Paul Bredbury 2014-05-25 11:21:25 UTC
Seems fixed with kernel 3.15-rc6, and in bootloader:

rcutree.rcu_idle_gp_delay=1
Comment 29 buhman 2014-08-21 22:20:12 UTC
*** Bug 80627 has been marked as a duplicate of this bug. ***
Comment 30 Karol Herbst 2014-08-29 09:20:28 UTC
I have the strange problem, that it sometimes seems to not happen. Uploading a kernel log file for that case. But every other 9 in 10 times I got this HUB_INIT timeout instead.
Comment 31 Karol Herbst 2014-08-29 09:21:51 UTC
Created attachment 105421 [details]
kernel log file in case it doesn't HUB_INIT timeout
Comment 32 Karol Herbst 2014-09-27 17:04:52 UTC
Created attachment 106964 [details]
mmiotrace when module loads sucessfully
Comment 33 Karol Herbst 2014-09-27 17:11:10 UTC
Created attachment 106965 [details]
mmiotrace when failing

the diff between both traces is quite interessting. Both happend on the same machine, the same kernel and the same nouveau.ko file on the same gpu.

Especially the part in the failing trace starting with this:

"[0] 0.000000, FB32 28c <= 1
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
[0] 0.000000, FB32 219010 => 0
... until timeout
"

because this part never happen in the "working" trace
Comment 34 bruno.pagani 2015-01-01 21:40:09 UTC
Per bug 87942, it seems I’m affected too (Dell XPS 9530, GT750M).

And rcutree.rcu_idle_gp_delay=1 doesn’t fix this for me, I’m running with this for a while because nvidia needs it, but it doesn’t change anything for nouveau.

Is Ben’s patch still working for everyone here (I have not tested it myself, since I’m not sure on how to do so), and if so is there a chance it will land somewhere in the future?

Or is there another solution to try?
Comment 35 nshp 2015-01-02 22:20:34 UTC
Bruno, the patch does not seem to help (at least for me).
I also have this issue with GK107. Not sure if there's anything useful in this kernel log, I just tried ignoring the HUB_INIT timeout to see if it spat out anything more interesting: http://ix.io/fzc
Comment 36 Vitaly Torshyn 2015-01-18 13:32:05 UTC
Created attachment 112418 [details]
Xorg log
Comment 37 Vitaly Torshyn 2015-01-18 13:32:31 UTC
Created attachment 112419 [details]
dmesg
Comment 38 Vitaly Torshyn 2015-01-18 13:32:58 UTC
Created attachment 112420 [details]
lspci -v
Comment 39 Vitaly Torshyn 2015-01-18 13:37:12 UTC
Hi folks,
Please see previously attached dmesg and xorg logs.
I was using Ben's git repo to apply a patch for 3.18.2 kernel.
Actually, the patch is only removed INIT HUB error. In addition, X was managed to start with AIGLX enabled but nouveau crashed on start any GL enabled application.
Please note, the same behavior with SLI enabled. 
HW is Lenovo Y510P with dual GT 755M video.

Please, feel free to request additional information.
Comment 40 aidan 2015-01-18 19:07:14 UTC
(In reply to Vitaly Torshyn from comment #39)
> Hi folks,
> Please see previously attached dmesg and xorg logs.
> I was using Ben's git repo to apply a patch for 3.18.2 kernel.
> Actually, the patch is only removed INIT HUB error. In addition, X was
> managed to start with AIGLX enabled but nouveau crashed on start any GL
> enabled application.
> Please note, the same behavior with SLI enabled. 
> HW is Lenovo Y510P with dual GT 755M video.
> 
> Please, feel free to request additional information.

I have a similar laptop, and I think the X crashing is this (https://bugs.freedesktop.org/show_bug.cgi?id=88514) issue.
Comment 41 Karol Herbst 2015-01-19 09:54:03 UTC
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/patch/?id=74b51ee152b6d99e61ba329799a039453fb9438f this kernel patch fixed the PGRAPH timeout issue
Comment 42 Karol Herbst 2015-01-19 10:01:49 UTC
at least this patch made it more likely to suceed for me.
Comment 43 Vitaly Torshyn 2015-01-19 15:58:59 UTC
(In reply to aidan from comment #40)
> (In reply to Vitaly Torshyn from comment #39)
> > Hi folks,
> > Please see previously attached dmesg and xorg logs.
> > I was using Ben's git repo to apply a patch for 3.18.2 kernel.
> > Actually, the patch is only removed INIT HUB error. In addition, X was
> > managed to start with AIGLX enabled but nouveau crashed on start any GL
> > enabled application.
> > Please note, the same behavior with SLI enabled. 
> > HW is Lenovo Y510P with dual GT 755M video.
> > 
> > Please, feel free to request additional information.
> 
> I have a similar laptop, and I think the X crashing is this
> (https://bugs.freedesktop.org/show_bug.cgi?id=88514) issue.

I don't think so. The X crashing even with second nvidia GPU installed. In case intel gpu is turned off by notebooks firmware.
Comment 44 Vitaly Torshyn 2015-01-19 16:02:26 UTC
(In reply to Karol Herbst from comment #42)
> at least this patch made it more likely to suceed for me.

Have you tested it? Are sure it doesn't break other ACPI related stuff?
It's weird to fix ACPI stuff for our cards.
Also, please respond if you applied this fix with Ben's fixes.
Comment 45 bruno.pagani 2015-01-19 16:14:34 UTC
(In reply to Vitaly Torshyn from comment #43)
> (In reply to aidan from comment #40)
> > (In reply to Vitaly Torshyn from comment #39)
> > > Hi folks,
> > > Please see previously attached dmesg and xorg logs.
> > > I was using Ben's git repo to apply a patch for 3.18.2 kernel.
> > > Actually, the patch is only removed INIT HUB error. In addition, X was
> > > managed to start with AIGLX enabled but nouveau crashed on start any GL
> > > enabled application.
> > > Please note, the same behavior with SLI enabled. 
> > > HW is Lenovo Y510P with dual GT 755M video.
> > > 
> > > Please, feel free to request additional information.
> > 
> > I have a similar laptop, and I think the X crashing is this
> > (https://bugs.freedesktop.org/show_bug.cgi?id=88514) issue.
> 
> I don't think so. The X crashing even with second nvidia GPU installed. In
> case intel gpu is turned off by notebooks firmware.

I don’t understand your message Vitaly, but I think he is right, this is the same bug. I’m having the same symptoms he has.
Comment 46 Vitaly Torshyn 2015-01-19 16:21:57 UTC
(In reply to bruno.pagani from comment #45)
> (In reply to Vitaly Torshyn from comment #43)
> > (In reply to aidan from comment #40)
> > > (In reply to Vitaly Torshyn from comment #39)
> > > > Hi folks,
> > > > Please see previously attached dmesg and xorg logs.
> > > > I was using Ben's git repo to apply a patch for 3.18.2 kernel.
> > > > Actually, the patch is only removed INIT HUB error. In addition, X was
> > > > managed to start with AIGLX enabled but nouveau crashed on start any GL
> > > > enabled application.
> > > > Please note, the same behavior with SLI enabled. 
> > > > HW is Lenovo Y510P with dual GT 755M video.
> > > > 
> > > > Please, feel free to request additional information.
> > > 
> > > I have a similar laptop, and I think the X crashing is this
> > > (https://bugs.freedesktop.org/show_bug.cgi?id=88514) issue.
> > 
> > I don't think so. The X crashing even with second nvidia GPU installed. In
> > case intel gpu is turned off by notebooks firmware.
> 
> I don’t understand your message Vitaly, but I think he is right, this is the
> same bug. I’m having the same symptoms he has.

Sorry, I wasn't clear in my earlier message. I have an SLI enabled laptop and second GPU can be removed. Without second GPU intel's GPU is turned on by BIOS (firmware). 
So, X crashed with/without second GPU.
Comment 47 bruno.pagani 2015-01-19 16:48:04 UTC
(In reply to Vitaly Torshyn from comment #46)
> (In reply to bruno.pagani from comment #45)
> > (In reply to Vitaly Torshyn from comment #43)
> > > (In reply to aidan from comment #40)
> > > > (In reply to Vitaly Torshyn from comment #39)
> > > > > Hi folks,
> > > > > Please see previously attached dmesg and xorg logs.
> > > > > I was using Ben's git repo to apply a patch for 3.18.2 kernel.
> > > > > Actually, the patch is only removed INIT HUB error. In addition, X was
> > > > > managed to start with AIGLX enabled but nouveau crashed on start any GL
> > > > > enabled application.
> > > > > Please note, the same behavior with SLI enabled. 
> > > > > HW is Lenovo Y510P with dual GT 755M video.
> > > > > 
> > > > > Please, feel free to request additional information.
> > > > 
> > > > I have a similar laptop, and I think the X crashing is this
> > > > (https://bugs.freedesktop.org/show_bug.cgi?id=88514) issue.
> > > 
> > > I don't think so. The X crashing even with second nvidia GPU installed. In
> > > case intel gpu is turned off by notebooks firmware.
> > 
> > I don’t understand your message Vitaly, but I think he is right, this is the
> > same bug. I’m having the same symptoms he has.
> 
> Sorry, I wasn't clear in my earlier message. I have an SLI enabled laptop
> and second GPU can be removed. Without second GPU intel's GPU is turned on
> by BIOS (firmware). 
> So, X crashed with/without second GPU.

OK, I think you’re the only one with a SLI laptop. Every one else here seems to have an Intel+NVIDIA setup, without being able to deactivate Intel.
Comment 48 Karol Herbst 2015-01-20 19:31:57 UTC
(In reply to Vitaly Torshyn from comment #44)
> (In reply to Karol Herbst from comment #42)
> > at least this patch made it more likely to suceed for me.
> 
> Have you tested it? Are sure it doesn't break other ACPI related stuff?
> It's weird to fix ACPI stuff for our cards.
> Also, please respond if you applied this fix with Ben's fixes.

no, I don't use Ben's fixes, because I wanted to try this patch out allone. The thing is, that for me nouveau fails most of the time loading my card, but with this patch it seems to be more likely to succeed, allthough it may be not related, but it kinda helped me.

On a side note: if it succeeds the kernel moudle is loaded under a second, so it is far bellow the timeout.
Comment 49 Karol Herbst 2015-01-20 19:36:02 UTC
(In reply to Vitaly Torshyn from comment #44)
> (In reply to Karol Herbst from comment #42)
> > at least this patch made it more likely to suceed for me.
> 
> Have you tested it? Are sure it doesn't break other ACPI related stuff?
> It's weird to fix ACPI stuff for our cards.
> Also, please respond if you applied this fix with Ben's fixes.

Also note that rcutree.rcu_idle_gp_delay=1 helped for some and the kernel patch tries to make this not needed anymore. So it kinda makes sense, even if not for all.
Comment 50 Karol Herbst 2015-01-20 19:45:12 UTC
And no, Ben's patch doesn't help me at all.
Comment 51 Richard 2015-01-26 19:43:44 UTC
(In reply to bruno.pagani from comment #47)
> OK, I think you’re the only one with a SLI laptop. Every one else here seems
> to have an Intel+NVIDIA setup, without being able to deactivate Intel.
I wouldn't say he's the only one... I have the same setup myself (comment 23). I have noted that the nouveau module loads reliably with no patches since at least kernel 3.16.x (well after my original post), but it does go nuts whenever I do anything with opengl. I haven't attempted to capture logs when it does this - it shoots the CPU up to near 100% and becomes nearly unresponsive. I usually have to shut it down hard to recover (and I'm careful now to only load the nvidia driver when I intend to do opengl, and nouveau at all other times).

(Not related to this bug: I haven't been able to get it to fire up with SLI enabled (even with nvidia driver) outside of windows. Vitaly, was there anything special you had to do to get SLI working on your Y510P?)
Comment 52 Richard 2015-02-23 19:11:07 UTC
I think I should update my post... I should say that nouveau loads reliably, but I still get the HUB_INIT timeout error from the OP. Applying the patch does not fix it. The driver works for 2D applications, but 3D applications cause it to hang the GPU.
Comment 53 bruno.pagani 2015-03-21 22:02:47 UTC
Using 3.19, little changes from RCU patches, but still no luck.

[  173.852656] nouveau  [  DEVICE][0000:02:00.0] BOOT0  : 0x0e7240a2
[  173.852658] nouveau  [  DEVICE][0000:02:00.0] Chipset: GK107 (NVE7)
[  173.852659] nouveau  [  DEVICE][0000:02:00.0] Family : NVE0
[  173.867029] nouveau  [   VBIOS][0000:02:00.0] using image from ACPI
[  173.867119] nouveau  [   VBIOS][0000:02:00.0] BIT signature found
[  173.867121] nouveau  [   VBIOS][0000:02:00.0] version 80.07.b3.00.21
[  173.867339] nouveau  [ DEVINIT][0000:02:00.0] adaptor not initialised
[  173.867370] nouveau  [   VBIOS][0000:02:00.0] running init tables
[  174.004784] nouveau  [     PMC][0000:02:00.0] MSI interrupts enabled
[  174.004849] nouveau  [     PFB][0000:02:00.0] RAM type: GDDR5
[  174.004850] nouveau  [     PFB][0000:02:00.0] RAM size: 2048 MiB
[  174.004851] nouveau  [     PFB][0000:02:00.0]    ZCOMP: 0 tags
[  174.004927] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[  174.006964] nouveau  [    VOLT][0000:02:00.0] GPU voltage: 600000uv
[  174.056647] nouveau  [  PTHERM][0000:02:00.0] FAN control: none / external
[  174.056662] nouveau  [  PTHERM][0000:02:00.0] fan management: automatic
[  174.056687] nouveau  [  PTHERM][0000:02:00.0] internal sensor: yes
[  174.056753] nouveau  [     CLK][0000:02:00.0] 07: core 405 MHz memory 810 MHz 
[  174.056811] nouveau  [     CLK][0000:02:00.0] 0a: core 405-1058 MHz memory 1600 MHz 
[  174.056887] nouveau  [     CLK][0000:02:00.0] 0f: core 405-1058 MHz memory 5000 MHz 
[  174.057024] nouveau  [     CLK][0000:02:00.0] --: core 405 MHz memory 810 MHz 
[  174.091539] nouveau E[    PBUS][0000:02:00.0] MMIO read of 0x00000000 FAULT at 0x500c30 [ IBUS ]
[  174.091572] vga_switcheroo: enabled
[  174.091701] [TTM] Zone  kernel: Available graphics memory: 8169492 kiB
[  174.091702] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[  174.091703] [TTM] Initializing pool allocator
[  174.091706] [TTM] Initializing DMA pool allocator
[  174.091713] nouveau  [     DRM] VRAM: 2048 MiB
[  174.091714] nouveau  [     DRM] GART: 1048576 MiB
[  174.091716] nouveau E[     DRM] Pointer to TMDS table invalid
[  174.091717] nouveau  [     DRM] DCB version 4.0
[  174.091718] nouveau E[     DRM] Pointer to flat panel table invalid
[  174.098167] nouveau  [     DRM] MM: using COPY for buffer copies
[  174.098177] [drm] Initialized nouveau 1.2.1 20120801 for 0000:02:00.0 on minor 1
[  174.116049] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[  174.116122] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000000 FAULT at 0x418e08 [ IBUS ]
[  174.116138] nouveau E[   PIBUS][0000:02:00.0] GPC0: 0x419f74 0x00000555 (0x3800820c)
[  174.116157] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000010 FAULT at 0x418980 [ IBUS ]
[  174.116175] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[  174.116186] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0xbadf1008 FAULT at 0x419cc0 [ IBUS ]
[  174.116202] nouveau E[   PIBUS][0000:02:00.0] GPC0: 0x419cc0 0xbadf1008 (0x3800820c)
[  174.116235] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0xbadf1000 FAULT at 0x419eb4 [ IBUS ]
[  174.116250] nouveau E[   PIBUS][0000:02:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[  174.116267] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000000 FAULT at 0x405804 [ IBUS ]
[  174.116284] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x3f800000 FAULT at 0x405804 [ IBUS ]
[  174.116319] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000000 FAULT at 0x405804 [ IBUS ]
[  174.116345] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x3f800000 FAULT at 0x405804 [ IBUS ]
[  174.116359] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000000 FAULT at 0x405818 [ IBUS ]
[  174.116405] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x3f800000 FAULT at 0x405818 [ IBUS ]
[  174.116422] nouveau E[    PBUS][0000:02:00.0] MMIO write of 0x00000009 FAULT at 0x405820 [ IBUS ]
[  174.116606] nouveau E[   PIBUS][0000:02:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[  176.118600] nouveau E[  PGRAPH][0000:02:00.0] HUB_INIT timed out
[  176.118607] nouveau E[  PGRAPH][0000:02:00.0] 409000 - done 0x00000204
[  176.118616] nouveau E[  PGRAPH][0000:02:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[  176.118626] nouveau E[  PGRAPH][0000:02:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[  176.118629] nouveau E[  PGRAPH][0000:02:00.0] 502000 - done 0x00000300
[  176.118634] nouveau E[  PGRAPH][0000:02:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[  176.118638] nouveau E[  PGRAPH][0000:02:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[  176.118640] nouveau E[  PGRAPH][0000:02:00.0] init failed, -16
Comment 54 Bozhan Boyadzhiev 2015-05-09 21:55:44 UTC
Linux bo 4.0.0-trunk-amd64 #1 SMP Debian 4.0-1~exp1 (2015-04-21) x86_64 GNU/Linux

bo@bo:~$ dmesg | grep nouve
[   12.510157] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[   12.510320] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e70d0a2
[   12.510321] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK107 (NVE7)
[   12.510322] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
[   12.519025] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[   12.519108] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[   12.519110] nouveau  [   VBIOS][0000:01:00.0] version 80.07.a8.00.0f
[   12.519398] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
[   12.519425] nouveau  [   VBIOS][0000:01:00.0] running init tables
[   12.675786] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[   12.675835] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[   12.675836] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
[   12.675837] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[   12.675898] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[   12.677860] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 600000uv
[   12.727255] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[   12.727270] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[   12.727295] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[   12.727363] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 810 MHz 
[   12.727421] nouveau  [     CLK][0000:01:00.0] 0a: core 405-1097 MHz memory 1600 MHz 
[   12.727496] nouveau  [     CLK][0000:01:00.0] 0f: core 405-1097 MHz memory 5400 MHz 
[   12.727633] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 810 MHz 
[   12.760239] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x500c30 [ IBUS ]
[   12.760408] nouveau  [     DRM] VRAM: 2048 MiB
[   12.760409] nouveau  [     DRM] GART: 1048576 MiB
[   12.760421] nouveau E[     DRM] Pointer to TMDS table invalid
[   12.760470] nouveau  [     DRM] DCB version 4.0
[   12.760471] nouveau E[     DRM] Pointer to flat panel table invalid
[   12.766380] nouveau  [     DRM] MM: using COPY for buffer copies
[   12.766385] [drm] Initialized nouveau 1.2.1 20120801 for 0000:01:00.0 on minor 0
[   31.531758] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[   32.184387] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   32.184479] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   32.184553] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x405804 [ IBUS ]
[   32.184968] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   34.186577] nouveau E[     PGR][0000:01:00.0] HUB_INIT timed out
[   34.186588] nouveau E[     PGR][0000:01:00.0] 409000 - done 0x00000204
[   34.186600] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   34.186611] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   34.186617] nouveau E[     PGR][0000:01:00.0] 502000 - done 0x00000300
[   34.186624] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   34.186631] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   34.186634] nouveau E[     PGR][0000:01:00.0] init failed, -16
[16430.044081] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]

Is there something that users can do to help with fixing this ? :)
Comment 55 buhman 2015-06-25 16:07:29 UTC
If anyone wants to play with bskeggs' hack:

http://cgit.freedesktop.org/~darktama/nouveau/commit/?h=hack-gk106m

He's tested W541; I've tested W540 (K2100). You'll likely need nouveau.runpm=0 to avoid hanging. PRIME works. vdpau "works". 3D performance at pstate 0a is something like 50% of nvidia.
Comment 56 Bozhan Boyadzhiev 2015-06-29 22:28:46 UTC
with latest- kernel panic!
dmesg:
[    1.587345] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[    1.587568] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e70d0a2
[    1.587634] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK107 (NVE7)
[    1.587696] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
[    1.597449] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[    1.597662] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    1.597723] nouveau  [   VBIOS][0000:01:00.0] version 80.07.a8.00.0f
[    1.598055] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
[    1.598151] nouveau  [   VBIOS][0000:01:00.0] running init tables
[    1.754599] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[    1.754728] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[    1.754788] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
[    1.754857] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    1.754981] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[    1.757143] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 600000uv
[    1.806650] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    1.806727] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    1.806812] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    1.806938] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 810 MHz
[    1.807064] nouveau  [     CLK][0000:01:00.0] 0a: core 405-1097 MHz memory 1600 MHz
[    1.807207] nouveau  [     CLK][0000:01:00.0] 0f: core 405-1097 MHz memory 5400 MHz
[    1.807418] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 810 MHz
[    1.839496] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x500c30 [ IBUS ]
[    1.839937] nouveau  [     DRM] VRAM: 2048 MiB
[    1.839994] nouveau  [     DRM] GART: 1048576 MiB
[    1.840053] nouveau E[     DRM] Pointer to TMDS table invalid
[    1.840122] nouveau  [     DRM] DCB version 4.0
[    1.840180] nouveau E[     DRM] Pointer to flat panel table invalid
[    1.846106] nouveau  [     DRM] MM: using COPY for buffer copies
[    1.846169] [drm] Initialized nouveau 1.2.2 20120801 for 0000:01:00.0 on minor 0
[    6.854456] nouveau E[   PFIFO][0000:01:00.0] BIND_ERROR [ UNK00 ]
[    6.855050] nouveau E[   PFIFO][0000:01:00.0] PIO_ERROR
[    6.855635] nouveau E[   PFIFO][0000:01:00.0] FB_FLUSH_TIMEOUT
[    6.856223] nouveau E[   PFIFO][0000:01:00.0] DROPPED_MMU_FAULT 0x00000000
[    6.856819] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002100 [ !ENGINE ]
Comment 57 Bozhan Boyadzhiev 2015-06-30 12:56:53 UTC
dmesg with hack-gk106m.


[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.0.0-2-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet splash
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.0.0-2-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet splash
[    1.538115] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[    1.538283] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e70d0a2
[    1.538285] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK107 (NVE7)
[    1.538286] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
[    1.547704] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[    1.547791] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    1.547793] nouveau  [   VBIOS][0000:01:00.0] version 80.07.a8.00.0f
[    1.548230] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
[    1.548259] nouveau  [   VBIOS][0000:01:00.0] running init tables
[    1.704732] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[    1.704776] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[    1.704777] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
[    1.704778] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    1.704843] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[    1.706772] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 600000uv
[    1.756182] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    1.756196] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    1.756220] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    1.756286] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 810 MHz 
[    1.756339] nouveau  [     CLK][0000:01:00.0] 0a: core 405-1097 MHz memory 1600 MHz 
[    1.756409] nouveau  [     CLK][0000:01:00.0] 0f: core 405-1097 MHz memory 5400 MHz 
[    1.756546] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 810 MHz 
[    1.788206] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x500c30 [ IBUS ]
[    1.788476] nouveau  [     DRM] VRAM: 2048 MiB
[    1.788477] nouveau  [     DRM] GART: 1048576 MiB
[    1.788479] nouveau E[     DRM] Pointer to TMDS table invalid
[    1.788526] nouveau  [     DRM] DCB version 4.0
[    1.788527] nouveau E[     DRM] Pointer to flat panel table invalid
[    1.794450] nouveau  [     DRM] MM: using COPY for buffer copies
[    1.794453] [drm] Initialized nouveau 1.2.2 20120801 for 0000:01:00.0 on minor 0
[   44.819011] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   44.819097] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   44.819132] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x405804 [ IBUS ]
[   44.819333] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   46.820946] nouveau E[  PGRAPH][0000:01:00.0] HUB_INIT timed out
[   46.820953] nouveau E[  PGRAPH][0000:01:00.0] 409000 - done 0x00000204
[   46.820963] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   46.820972] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   46.820975] nouveau E[  PGRAPH][0000:01:00.0] 502000 - done 0x00000300
[   46.820980] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   46.820984] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   46.820986] nouveau E[  PGRAPH][0000:01:00.0] init failed, -16
Comment 58 Ben Skeggs 2015-06-30 22:11:24 UTC
(In reply to Bozhan from comment #57)
> dmesg with hack-gk106m.
The code won't help you, it's only executed for GK104/6. The symptoms, however, look very much the same as those chipsets before we had PGOB disable support for them. NVIDIA told us it's not needed on GK107.  Do you have an mmiotrace of the NVIDIA binary driver on your board? 

> 
> 
> [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.0.0-2-amd64
> root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet
> splash
> [    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.0.0-2-amd64
> root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet
> splash
> [    1.538115] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
> [    1.538283] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e70d0a2
> [    1.538285] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK107 (NVE7)
> [    1.538286] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
> [    1.547704] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
> [    1.547791] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
> [    1.547793] nouveau  [   VBIOS][0000:01:00.0] version 80.07.a8.00.0f
> [    1.548230] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
> [    1.548259] nouveau  [   VBIOS][0000:01:00.0] running init tables
> [    1.704732] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
> [    1.704776] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
> [    1.704777] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
> [    1.704778] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
> [    1.704843] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000002
> FAULT at 0x4188ac [ IBUS ]
> [    1.706772] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 600000uv
> [    1.756182] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
> [    1.756196] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
> [    1.756220] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
> [    1.756286] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 810
> MHz 
> [    1.756339] nouveau  [     CLK][0000:01:00.0] 0a: core 405-1097 MHz
> memory 1600 MHz 
> [    1.756409] nouveau  [     CLK][0000:01:00.0] 0f: core 405-1097 MHz
> memory 5400 MHz 
> [    1.756546] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 810
> MHz 
> [    1.788206] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000
> FAULT at 0x500c30 [ IBUS ]
> [    1.788476] nouveau  [     DRM] VRAM: 2048 MiB
> [    1.788477] nouveau  [     DRM] GART: 1048576 MiB
> [    1.788479] nouveau E[     DRM] Pointer to TMDS table invalid
> [    1.788526] nouveau  [     DRM] DCB version 4.0
> [    1.788527] nouveau E[     DRM] Pointer to flat panel table invalid
> [    1.794450] nouveau  [     DRM] MM: using COPY for buffer copies
> [    1.794453] [drm] Initialized nouveau 1.2.2 20120801 for 0000:01:00.0 on
> minor 0
> [   44.819011] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000
> FAULT at 0x418880 [ IBUS ]
> [   44.819097] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000
> (0x3800820c)
> [   44.819132] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000
> FAULT at 0x405804 [ IBUS ]
> [   44.819333] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012
> (0x0e008201)
> [   46.820946] nouveau E[  PGRAPH][0000:01:00.0] HUB_INIT timed out
> [   46.820953] nouveau E[  PGRAPH][0000:01:00.0] 409000 - done 0x00000204
> [   46.820963] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000
> 0x00000000 0x00000000 0x00000000
> [   46.820972] nouveau E[  PGRAPH][0000:01:00.0] 409000 - stat 0x00000000
> 0x00000000 0x00000002 0x00000009
> [   46.820975] nouveau E[  PGRAPH][0000:01:00.0] 502000 - done 0x00000300
> [   46.820980] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000
> 0x00000000 0x00000000 0x00000000
> [   46.820984] nouveau E[  PGRAPH][0000:01:00.0] 502000 - stat 0x00000000
> 0x00000000 0x00000000 0x00000000
> [   46.820986] nouveau E[  PGRAPH][0000:01:00.0] init failed, -16
Comment 59 Bozhan Boyadzhiev 2015-07-01 19:27:05 UTC
Created attachment 116849 [details]
mmiotrace for GK107

is it enough?
Comment 60 Ilia Mirkin 2015-07-01 19:28:48 UTC
(In reply to Bozhan from comment #59)
> Created attachment 116849 [details]
> mmiotrace for GK107
> 
> is it enough?

No. The trace should be 20-50 MB (make sure to xz -9 it). You need to run e.g. 'nvidia-smi' once the nvidia module is loaded. Or start X, but that's heavier and probably unnecessary.
Comment 61 Bozhan Boyadzhiev 2015-07-01 21:21:36 UTC
Created attachment 116853 [details]
mmiotrace for GK107 ~39MB

mmiotrace for GK107
Comment 62 Ben Skeggs 2015-07-02 09:01:23 UTC
(In reply to Bozhan Boyadzhiev from comment #61)
> Created attachment 116853 [details]
> mmiotrace for GK107 ~39MB
> 
> mmiotrace for GK107

Heh, so much for GK107 not having PGOB... I'll ping NVIDIA on this one and get back to you.  If I get time in the next few days, I'll hack you up a patch.
Comment 63 Bozhan Boyadzhiev 2015-07-16 13:41:36 UTC
(In reply to Ben Skeggs from comment #62)
> (In reply to Bozhan Boyadzhiev from comment #61)
> > Created attachment 116853 [details]
> > mmiotrace for GK107 ~39MB
> > 
> > mmiotrace for GK107
> 
> Heh, so much for GK107 not having PGOB... I'll ping NVIDIA on this one and
> get back to you.  If I get time in the next few days, I'll hack you up a
> patch.

i've erased the first letter on my keyboard with which begins the domain of my webmail to check if i have message from this bug :)))
Comment 64 Ben Skeggs 2015-10-01 05:11:00 UTC
(In reply to Bozhan Boyadzhiev from comment #63)
> (In reply to Ben Skeggs from comment #62)
> > (In reply to Bozhan Boyadzhiev from comment #61)
> > > Created attachment 116853 [details]
> > > mmiotrace for GK107 ~39MB
> > > 
> > > mmiotrace for GK107
> > 
> > Heh, so much for GK107 not having PGOB... I'll ping NVIDIA on this one and
> > get back to you.  If I get time in the next few days, I'll hack you up a
> > patch.
> 
> i've erased the first letter on my keyboard with which begins the domain of
> my webmail to check if i have message from this bug :)))

My nouveau tree[1] has a couple of patches that will *hopefully* fix the issues you're seeing.

[1] http://cgit.freedesktop.org/~darktama/nouveau/log/
Comment 65 Bozhan Boyadzhiev 2015-10-09 17:50:25 UTC
Sorry for delay.


[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc4-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet splash
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc4-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet splash
[   17.692733] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[   17.692756] nouveau 0000:01:00.0: NVIDIA GK107 (0e70d0a2)
[   17.705157] nouveau 0000:01:00.0: bios: version 80.07.a8.00.0f
[   17.867615] nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
[   17.867692] nouveau 0000:01:00.0: bus: MMIO write of 00000002 FAULT at 4188ac [ IBUS ]
[   17.938396] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
[   17.938397] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[   17.938399] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
[   17.938417] nouveau 0000:01:00.0: DRM: DCB version 4.0
[   17.938418] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
[   18.168394] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[   18.168400] [drm] Initialized nouveau 1.3.0 20120801 for 0000:01:00.0 on minor 1
[   25.809299] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   27.810911] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   29.812527] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   31.814138] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   33.815894] nouveau 0000:01:00.0: timeout at /home/bozhan/nouveau/drm/nouveau/nvkm/engine/gr/ctxgf100.c:1365/gf100_grctx_generate()!
[   33.815947] nouveau 0000:01:00.0: gr: failed to construct context
[   33.815951] nouveau 0000:01:00.0: gr: init failed, -16


This is with your tree.
Comment 66 Julien Isorce 2015-10-18 23:27:13 UTC
Hi, I have a laptop with 2 graphics cards, one intel and one GeForce GT 750 M. My gnome desktop use the former by default. And when trying to use nouveau I got the same problem exposed in this bug.
Actually I am interesting in using the nouveau driver for HW decoding.

With the nouveau branch in darktama repo I could have it working with headless display (using DRM). Though it looks not stable in the sense it sometimes works after loading the kernel module nouveau.ko freshly built. And sometimes not. And it seems not robust to init/deinit several times.
But better than nothing so it is still great !

I have noticed this error in kern.log:
t 19 00:05:02 nb-716 kernel: [  737.034566] nouveau 0000:01:00.0: DRM: resuming kernel object tree...
Oct 19 00:05:02 nb-716 kernel: [  737.111653] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 085048 [ IBUS ]
Oct 19 00:05:03 nb-716 kernel: [  737.177696] nouveau 0000:01:00.0: DRM: resuming client object trees...
Oct 19 00:05:05 nb-716 kernel: [  739.336600] nouveau 0000:01:00.0: timeout at /home/julien/gst/master/nouveau/drm/nouveau/nvkm/engine/gr/gf100.c:1479/gf100_gr_init_ctxctl()!
Oct 19 00:05:05 nb-716 kernel: [  739.336608] nouveau 0000:01:00.0: gr: 409000 - done 00000220
Oct 19 00:05:05 nb-716 kernel: [  739.336619] nouveau 0000:01:00.0: gr: 409000 - stat 00000000 00000000 00000000 00000000
Oct 19 00:05:05 nb-716 kernel: [  739.336629] nouveau 0000:01:00.0: gr: 409000 - stat 00000000 00000000 00000006 00000001
Oct 19 00:05:05 nb-716 kernel: [  739.336633] nouveau 0000:01:00.0: gr: 502000 - done 00000300
Oct 19 00:05:05 nb-716 kernel: [  739.336638] nouveau 0000:01:00.0: gr: 502000 - stat 00000000 00008c00 00000000 00000000
Oct 19 00:05:05 nb-716 kernel: [  739.336643] nouveau 0000:01:00.0: gr: 502000 - stat 00000000 00000000 00000000 00000000
Oct 19 00:05:05 nb-716 kernel: [  739.336645] nouveau 0000:01:00.0: gr: init failed, -16
Oct 19 00:05:07 nb-716 kernel: [  741.514997] nouveau 0000:01:00.0: timeout at /home/julien/gst/master/nouveau/drm/nouveau/nvkm/engine/gr/gf100.c:1479/gf100_gr_init_ctxctl()!
Comment 67 Ben Skeggs 2015-10-18 23:40:14 UTC
(In reply to Bozhan Boyadzhiev from comment #65)
> Sorry for delay.
> 
> 
> [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc4-amd64
> root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet
> splash
> [    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc4-amd64
> root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet
> splash
> [   17.692733] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
> [   17.692756] nouveau 0000:01:00.0: NVIDIA GK107 (0e70d0a2)
> [   17.705157] nouveau 0000:01:00.0: bios: version 80.07.a8.00.0f
> [   17.867615] nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
> [   17.867692] nouveau 0000:01:00.0: bus: MMIO write of 00000002 FAULT at
> 4188ac [ IBUS ]
> [   17.938396] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
> [   17.938397] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
> [   17.938399] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
> [   17.938417] nouveau 0000:01:00.0: DRM: DCB version 4.0
> [   17.938418] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
> [   18.168394] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
> [   18.168400] [drm] Initialized nouveau 1.3.0 20120801 for 0000:01:00.0 on
> minor 1
> [   25.809299] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1,
> ctxsw: 0, busy: 1)
> [   27.810911] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1,
> ctxsw: 0, busy: 1)
> [   29.812527] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1,
> ctxsw: 0, busy: 1)
> [   31.814138] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1,
> ctxsw: 0, busy: 1)
> [   33.815894] nouveau 0000:01:00.0: timeout at
> /home/bozhan/nouveau/drm/nouveau/nvkm/engine/gr/ctxgf100.c:1365/
> gf100_grctx_generate()!
> [   33.815947] nouveau 0000:01:00.0: gr: failed to construct context
> [   33.815951] nouveau 0000:01:00.0: gr: init failed, -16
> 
> 
> This is with your tree.

If you add "nouveau.config=War00C800_0=1" to your kernel options, does that help?
Comment 68 Julien Isorce 2015-10-19 21:26:45 UTC
(In reply to Ben Skeggs from comment #67)
> If you add "nouveau.config=War00C800_0=1" to your kernel options, does that
> help?
Sorry I am replying to this question too even if not addressed to me. For me it does not help. At least I do not see the difference. It is actually hard to have the driver working, I have to unload/load several time, 

nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 085048 [ IBUS ]

I am happy to provide as many logs as you need, just let me know precisely how to generate them.
Comment 69 Bozhan Boyadzhiev 2015-10-21 18:41:45 UTC
^C
bozhan@bozhan:~$ dmesg | grep nouveau
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc5-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 nouveau.config=War00C800_0=1 quiet splash
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc5-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 nouveau.config=War00C800_0=1 quiet splash
[    8.800478] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[    8.800502] nouveau 0000:01:00.0: NVIDIA GK107 (0e70d0a2)
[    8.816187] nouveau 0000:01:00.0: bios: version 80.07.a8.00.0f
[    8.978677] nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
[    8.978754] nouveau 0000:01:00.0: bus: MMIO write of 00000002 FAULT at 4188ac [ IBUS ]
[    9.050234] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
[    9.050235] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[    9.050238] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
[    9.050258] nouveau 0000:01:00.0: DRM: DCB version 4.0
[    9.050259] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
[    9.242859] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[    9.242861] [drm] Initialized nouveau 1.3.0 20120801 for 0000:01:00.0 on minor 1
[   16.711127] nouveau 0000:01:00.0: pmu: hw bug workaround enabled
[   16.823251] nouveau 0000:01:00.0: pmu: hw bug workaround enabled

nice :)


bozhan@bozhan:~$ DRI_PRIME=1 glxgears -info
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
GL_RENDERER   = Gallium 0.4 on NVE7
GL_VERSION    = 3.0 Mesa 10.6.8
GL_VENDOR     = nouveau
Comment 70 Ilia Mirkin 2015-10-21 18:49:00 UTC
(In reply to Bozhan Boyadzhiev from comment #69)
> ^C
> bozhan@bozhan:~$ dmesg | grep nouveau
> [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc5-amd64
> root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0
> nouveau.config=War00C800_0=1 quiet splash
> [    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc5-amd64
> root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0
> nouveau.config=War00C800_0=1 quiet splash
> [    8.800478] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
> [    8.800502] nouveau 0000:01:00.0: NVIDIA GK107 (0e70d0a2)
> [    8.816187] nouveau 0000:01:00.0: bios: version 80.07.a8.00.0f
> [    8.978677] nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
> [    8.978754] nouveau 0000:01:00.0: bus: MMIO write of 00000002 FAULT at
> 4188ac [ IBUS ]
> [    9.050234] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
> [    9.050235] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
> [    9.050238] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
> [    9.050258] nouveau 0000:01:00.0: DRM: DCB version 4.0
> [    9.050259] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
> [    9.242859] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
> [    9.242861] [drm] Initialized nouveau 1.3.0 20120801 for 0000:01:00.0 on
> minor 1
> [   16.711127] nouveau 0000:01:00.0: pmu: hw bug workaround enabled
> [   16.823251] nouveau 0000:01:00.0: pmu: hw bug workaround enabled
> 
> nice :)
> 
> 
> bozhan@bozhan:~$ DRI_PRIME=1 glxgears -info
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> GL_RENDERER   = Gallium 0.4 on NVE7
> GL_VERSION    = 3.0 Mesa 10.6.8
> GL_VENDOR     = nouveau

Please provide the output of 'lspci -nnv -d 10de::300' so that we can add it to the workaround list by default.
Comment 71 Richard 2015-10-21 19:52:44 UTC
Aww... got my hopes up :( No dice with 'nouveau.config=War00C800_0=1' on this setup:

[    1.865840] fb: switching to nouveaufb from simple
[    1.866421] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e70d0a2
[    1.866423] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK107 (NVE7)
[    1.866425] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
[    1.884543] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[    1.884658] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    1.884660] nouveau  [   VBIOS][0000:01:00.0] version 80.07.a8.00.2e
[    1.885073] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[    1.885074] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
[    1.885075] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    1.887346] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 600000uv
[    1.940034] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    1.940058] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    1.940083] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    1.940152] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 810 MHz 
[    1.940201] nouveau  [     CLK][0000:01:00.0] 0a: core 405-1097 MHz memory 1600 MHz 
[    1.940285] nouveau  [     CLK][0000:01:00.0] 0f: core 405-1097 MHz memory 5400 MHz 
[    1.940486] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 810 MHz 
[    1.974897] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x10a028 [ IBUS ]
[    1.975102] nouveau  [     DRM] VRAM: 2048 MiB
[    1.975103] nouveau  [     DRM] GART: 1048576 MiB
[    1.975106] nouveau  [     DRM] TMDS table version 2.0
[    1.975107] nouveau  [     DRM] DCB version 4.0
[    1.975109] nouveau  [     DRM] DCB outp 00: 04000fb6 0f420010
[    1.975110] nouveau  [     DRM] DCB outp 01: 08011f82 00020010
[    1.975111] nouveau  [     DRM] DCB outp 02: 02044f00 00000000
[    1.975113] nouveau  [     DRM] DCB conn 00: 00020047
[    1.975114] nouveau  [     DRM] DCB conn 01: 01000161
[    1.975115] nouveau  [     DRM] DCB conn 04: 00000400
[    1.989343] nouveau  [     DRM] MM: using COPY for buffer copies
[    2.085542] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[    2.085640] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[    2.085702] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x3f800000 FAULT at 0x405804 [ IBUS ]
[    2.085850] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[    4.087453] nouveau E[     PGR][0000:01:00.0] HUB_INIT timed out
[    4.087481] nouveau E[     PGR][0000:01:00.0] 409000 - done 0x00000204
[    4.087507] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[    4.087534] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[    4.087555] nouveau E[     PGR][0000:01:00.0] 502000 - done 0x00000300
[    4.087569] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[    4.087596] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[    4.087614] nouveau E[     PGR][0000:01:00.0] init failed, -16
[    4.093274] nouveau  [     DRM] allocated 1920x1080 fb: 0x60000, bo ffff880262102400
[    4.093465] fbcon: nouveaufb (fb0) is primary device
[    4.607106] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[    4.607108] nouveau 0000:01:00.0: registered panic notifier
[    4.613443] [drm] Initialized nouveau 1.2.1 20120801 for 0000:01:00.0 on minor 0
[    4.613483] nouveau 0000:07:00.0: enabling device (0006 -> 0007)
[    4.613656] nouveau  [  DEVICE][0000:07:00.0] BOOT0  : 0x0e70d0a2
[    4.613658] nouveau  [  DEVICE][0000:07:00.0] Chipset: GK107 (NVE7)
[    4.613659] nouveau  [  DEVICE][0000:07:00.0] Family : NVE0
[    4.682395] nouveau  [   VBIOS][0000:07:00.0] using image from PROM
[    4.683132] nouveau  [   VBIOS][0000:07:00.0] BIT signature found
[    4.683134] nouveau  [   VBIOS][0000:07:00.0] version 80.07.a8.00.32
[    4.683281] nouveau  [ DEVINIT][0000:07:00.0] adaptor not initialised
[    4.683309] nouveau  [   VBIOS][0000:07:00.0] running init tables
[    5.001537] nouveau  [     PFB][0000:07:00.0] RAM type: GDDR5
[    5.001538] nouveau  [     PFB][0000:07:00.0] RAM size: 2048 MiB
[    5.001539] nouveau  [     PFB][0000:07:00.0]    ZCOMP: 0 tags
[    5.003594] nouveau  [    VOLT][0000:07:00.0] GPU voltage: 600000uv
[    5.055514] nouveau  [  PTHERM][0000:07:00.0] FAN control: none / external
[    5.055528] nouveau  [  PTHERM][0000:07:00.0] fan management: automatic
[    5.055553] nouveau  [  PTHERM][0000:07:00.0] internal sensor: yes
[    5.055620] nouveau  [     CLK][0000:07:00.0] 07: core 405 MHz memory 810 MHz 
[    5.055669] nouveau  [     CLK][0000:07:00.0] 0a: core 405-1097 MHz memory 1600 MHz 
[    5.055734] nouveau  [     CLK][0000:07:00.0] 0f: core 405-1097 MHz memory 5400 MHz 
[    5.055909] nouveau  [     CLK][0000:07:00.0] --: core 405 MHz memory 810 MHz 
[    5.097252] nouveau E[    PBUS][0000:07:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ IBUS ]
[    5.097361] nouveau  [     DRM] VRAM: 2048 MiB
[    5.097363] nouveau  [     DRM] GART: 1048576 MiB
[    5.097365] nouveau  [     DRM] TMDS table version 2.0
[    5.097367] nouveau  [     DRM] DCB version 4.0
[    5.097368] nouveau  [     DRM] DCB outp 01: 08011f82 00020010
[    5.097369] nouveau  [     DRM] DCB outp 02: 02044f00 00000000
[    5.097371] nouveau  [     DRM] DCB conn 01: 01000161
[    5.097372] nouveau  [     DRM] DCB conn 04: 00000400
[    5.105736] nouveau  [     DRM] MM: using COPY for buffer copies
[    5.105741] [drm] Initialized nouveau 1.2.1 20120801 for 0000:07:00.0 on minor 1
[   42.778669] nouveau E[    PBUS][0000:07:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   42.778766] nouveau E[   PIBUS][0000:07:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   42.778844] nouveau E[    PBUS][0000:07:00.0] MMIO write of 0x3f800000 FAULT at 0x405804 [ IBUS ]
[   42.778964] nouveau E[   PIBUS][0000:07:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   44.780562] nouveau E[     PGR][0000:07:00.0] HUB_INIT timed out
[   44.780569] nouveau E[     PGR][0000:07:00.0] 409000 - done 0x00000204
[   44.780579] nouveau E[     PGR][0000:07:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   44.780588] nouveau E[     PGR][0000:07:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   44.780591] nouveau E[     PGR][0000:07:00.0] 502000 - done 0x00000300
[   44.780596] nouveau E[     PGR][0000:07:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   44.780600] nouveau E[     PGR][0000:07:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   44.780602] nouveau E[     PGR][0000:07:00.0] init failed, -16
[   44.782794] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   44.782852] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   44.783022] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   46.784624] nouveau E[     PGR][0000:01:00.0] HUB_INIT timed out
[   46.784647] nouveau E[     PGR][0000:01:00.0] 409000 - done 0x00000204
[   46.784662] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   46.784676] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   46.784682] nouveau E[     PGR][0000:01:00.0] 502000 - done 0x00000300
[   46.784691] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   46.784700] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   46.784704] nouveau E[     PGR][0000:01:00.0] init failed, -16
[   56.833919] nouveau E[    PBUS][0000:07:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   56.833963] nouveau E[   PIBUS][0000:07:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   56.834146] nouveau E[   PIBUS][0000:07:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   58.835745] nouveau E[     PGR][0000:07:00.0] HUB_INIT timed out
[   58.835752] nouveau E[     PGR][0000:07:00.0] 409000 - done 0x00000204
[   58.835761] nouveau E[     PGR][0000:07:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   58.835770] nouveau E[     PGR][0000:07:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   58.835774] nouveau E[     PGR][0000:07:00.0] 502000 - done 0x00000300
[   58.835778] nouveau E[     PGR][0000:07:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   58.835783] nouveau E[     PGR][0000:07:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   58.835784] nouveau E[     PGR][0000:07:00.0] init failed, -16
[   58.837853] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   58.837908] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   58.838074] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   60.839673] nouveau E[     PGR][0000:01:00.0] HUB_INIT timed out
[   60.839693] nouveau E[     PGR][0000:01:00.0] 409000 - done 0x00000204
[   60.839708] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   60.839721] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   60.839728] nouveau E[     PGR][0000:01:00.0] 502000 - done 0x00000300
[   60.839737] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   60.839746] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   60.839750] nouveau E[     PGR][0000:01:00.0] init failed, -16
[   68.053027] nouveau E[    PBUS][0000:07:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   68.053069] nouveau E[   PIBUS][0000:07:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   68.053237] nouveau E[   PIBUS][0000:07:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   70.054844] nouveau E[     PGR][0000:07:00.0] HUB_INIT timed out
[   70.054850] nouveau E[     PGR][0000:07:00.0] 409000 - done 0x00000204
[   70.054860] nouveau E[     PGR][0000:07:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   70.054869] nouveau E[     PGR][0000:07:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   70.054872] nouveau E[     PGR][0000:07:00.0] 502000 - done 0x00000300
[   70.054876] nouveau E[     PGR][0000:07:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   70.054881] nouveau E[     PGR][0000:07:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   70.054882] nouveau E[     PGR][0000:07:00.0] init failed, -16
[   70.056973] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[   70.057022] nouveau E[   PIBUS][0000:01:00.0] GPC0: 0x419eb4 0xbadf1000 (0x3800820c)
[   70.057186] nouveau E[   PIBUS][0000:01:00.0] HUB0: 0x404170 0x00000012 (0x0e008201)
[   72.058785] nouveau E[     PGR][0000:01:00.0] HUB_INIT timed out
[   72.058806] nouveau E[     PGR][0000:01:00.0] 409000 - done 0x00000204
[   72.058821] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   72.058834] nouveau E[     PGR][0000:01:00.0] 409000 - stat 0x00000000 0x00000000 0x00000002 0x00000009
[   72.058841] nouveau E[     PGR][0000:01:00.0] 502000 - done 0x00000300
[   72.058850] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   72.058858] nouveau E[     PGR][0000:01:00.0] 502000 - stat 0x00000000 0x00000000 0x00000000 0x00000000
[   72.058863] nouveau E[     PGR][0000:01:00.0] init failed, -16
Comment 72 Ilia Mirkin 2015-10-21 19:55:55 UTC
(In reply to Richard from comment #71)
> Aww... got my hopes up :( No dice with 'nouveau.config=War00C800_0=1' on
> this setup:
> 
> [    1.865840] fb: switching to nouveaufb from simple
> [    1.866421] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e70d0a2

You need a kernel that supports this workaround... 4.3-rcN should do.
Comment 73 Julien Isorce 2015-10-21 21:55:28 UTC
Hi, I created file: /etc/modprobe.d/nouveau-kms.conf and added line: 
options nouveau War00C800_0=1
in there. Is it correct way to do it ? Thx
Comment 74 Ilia Mirkin 2015-10-21 22:03:29 UTC
(In reply to Julien Isorce from comment #73)
> Hi, I created file: /etc/modprobe.d/nouveau-kms.conf and added line: 
> options nouveau War00C800_0=1
> in there. Is it correct way to do it ? Thx

Nope. you want:

options nouveau config=War00C800_0=1
Comment 75 Bozhan Boyadzhiev 2015-10-22 03:24:48 UTC
(In reply to Ilia Mirkin from comment #70)
> (In reply to Bozhan Boyadzhiev from comment #69)

> Please provide the output of 'lspci -nnv -d 10de::300' so that we can add it
> to the workaround list by default.



bozhan@bozhan:~$ sudo lspci -nnv -d 10de::300
[sudo] password for bozhan: 
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK107M [GeForce GT 755M] [10de:0fcd] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device [17aa:3801]
        Flags: bus master, fast devsel, latency 0, IRQ 33
        Memory at c0000000 (32-bit, non-prefetchable) [size=16M]
        Memory at 90000000 (64-bit, prefetchable) [size=256M]
        Memory at a0000000 (64-bit, prefetchable) [size=32M]
        I/O ports at 4000 [size=128]
        Expansion ROM at c1000000 [disabled] [size=512K]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Capabilities: [900] #19
        Kernel driver in use: nouveau
Comment 76 Ilia Mirkin 2015-10-22 03:47:08 UTC
(In reply to Bozhan Boyadzhiev from comment #75)
> (In reply to Ilia Mirkin from comment #70)
> > (In reply to Bozhan Boyadzhiev from comment #69)
> 
> > Please provide the output of 'lspci -nnv -d 10de::300' so that we can add it
> > to the workaround list by default.
> 
> 
> 
> bozhan@bozhan:~$ sudo lspci -nnv -d 10de::300
> [sudo] password for bozhan: 
> 01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK107M [GeForce
> GT 755M] [10de:0fcd] (rev a1) (prog-if 00 [VGA controller])
>         Subsystem: Lenovo Device [17aa:3801]
>         Flags: bus master, fast devsel, latency 0, IRQ 33
>         Memory at c0000000 (32-bit, non-prefetchable) [size=16M]
>         Memory at 90000000 (64-bit, prefetchable) [size=256M]
>         Memory at a0000000 (64-bit, prefetchable) [size=32M]
>         I/O ports at 4000 [size=128]
>         Expansion ROM at c1000000 [disabled] [size=512K]
>         Capabilities: [60] Power Management version 3
>         Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
>         Capabilities: [78] Express Endpoint, MSI 00
>         Capabilities: [b4] Vendor Specific Information: Len=14 <?>
>         Capabilities: [100] Virtual Channel
>         Capabilities: [128] Power Budgeting <?>
>         Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1
> Len=024 <?>
>         Capabilities: [900] #19
>         Kernel driver in use: nouveau

Weird, someone with a fairly identical GPU and nouveau comes up fine for them: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1327624
Comment 77 Bozhan Boyadzhiev 2015-10-22 04:01:31 UTC
(In reply to Ilia Mirkin from comment #76)

> 
> Weird, someone with a fairly identical GPU and nouveau comes up fine for
> them: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1327624

dmesg without workaround:

bozhan@bozhan:~$ dmesg | grep nouveau
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc5-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet splash
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-rc5-amd64 root=UUID=d059e904-eec5-49ea-9e05-d3370455329c ro nouveau.runpm=0 quiet splash
[    6.429245] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[    6.429268] nouveau 0000:01:00.0: NVIDIA GK107 (0e70d0a2)
[    6.443237] nouveau 0000:01:00.0: bios: version 80.07.a8.00.0f
[    6.605738] nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
[    6.605815] nouveau 0000:01:00.0: bus: MMIO write of 00000002 FAULT at 4188ac [ IBUS ]
[    6.676883] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
[    6.676884] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[    6.676886] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
[    6.676904] nouveau 0000:01:00.0: DRM: DCB version 4.0
[    6.676906] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
[    6.914366] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[    6.914370] [drm] Initialized nouveau 1.3.0 20120801 for 0000:01:00.0 on minor 1
[   14.829712] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   16.831328] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   18.832940] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   20.834557] nouveau 0000:01:00.0: gr: wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
[   22.836319] nouveau 0000:01:00.0: timeout at /home/bozhan/nouveau/drm/nouveau/nvkm/engine/gr/ctxgf100.c:1365/gf100_grctx_generate()!
[   22.836389] nouveau 0000:01:00.0: gr: failed to construct context
[   22.836393] nouveau 0000:01:00.0: gr: init failed, -16


What in that bug report in launchpad is related to this one?
Comment 78 Ilia Mirkin 2015-10-27 21:43:46 UTC
(In reply to Bozhan Boyadzhiev from comment #77)
> What in that bug report in launchpad is related to this one?

 NVIDIA Corporation GK107M [GeForce GT 755M] [10de:0fcd] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:3801]

The guy's got the exact same GPU as you do, and nouveau appears to come just fine based on his dmesg. Probably OK to flip it on though... hopefully.
Comment 79 Bozhan Boyadzhiev 2015-10-28 07:37:43 UTC
(In reply to Ilia Mirkin from comment #78)
> (In reply to Bozhan Boyadzhiev from comment #77)
> > What in that bug report in launchpad is related to this one?
> 
>  NVIDIA Corporation GK107M [GeForce GT 755M] [10de:0fcd] (rev a1) (prog-if
> 00 [VGA controller])
>    Subsystem: Lenovo Device [17aa:3801]
> 
> The guy's got the exact same GPU as you do, and nouveau appears to come just
> fine based on his dmesg. Probably OK to flip it on though... hopefully.

As far i remember i brought my laptop after the date when the bug at launchpad was reported and the first kernel verion which i've installed was 3.16.something.
Maybe something was changed just in that kernel versions, but my nvdia GPU gives me this error messages since i brought my laptop.
Comment 80 bruno.pagani 2015-10-29 12:49:26 UTC
Well initial report was for 3.11 here, so don’t think something has changed.

Also why do you set nouveau.runpm=0? Doesn’t work without it?
Comment 81 Julien Isorce 2015-11-02 09:10:14 UTC
Hi, here is the output of: sudo lspci -nnv -d 10de:0fe4
01:00.0 3D controller [0302]: NVIDIA Corporation GK107M [GeForce GT 750M] [10de:0fe4] (rev a1)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c740]
	Flags: bus master, fast devsel, latency 0, IRQ 36
	Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f0000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at f7000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Capabilities: [900] #19
	Kernel driver in use: nouveau

As I do not see any difference adding "options nouveau config=War00C800_0=1" /etc/modprobe.d/nouveau-kms.conf, is there a command or log to checke if it is really set ?

Also if you can guide me what to change in git://people.freedesktop.org/~darktama/nouveau in order to hardcode it ? I tried to took example from :
patch "[PATCH] pci: enable c800 magic for Medion Erazer X7827" but I am missing these hex values. Thx
Comment 82 Ilia Mirkin 2015-11-02 09:14:05 UTC
(In reply to Julien Isorce from comment #81)
> Hi, here is the output of: sudo lspci -nnv -d 10de:0fe4
> 01:00.0 3D controller [0302]: NVIDIA Corporation GK107M [GeForce GT 750M]
> [10de:0fe4] (rev a1)
> 	Subsystem: Samsung Electronics Co Ltd Device [144d:c740]
> 
> As I do not see any difference adding "options nouveau config=War00C800_0=1"
> /etc/modprobe.d/nouveau-kms.conf, is there a command or log to checke if it
> is really set ?

You should see the following print:

nvkm_info(&pmu->subdev, "hw bug workaround enabled\n");

in your kernel log. You need to be running Linux 4.3-rcN for that code to exist in the driver (or a driver built from Ben's repo).
Comment 83 Julien Isorce 2015-11-02 23:34:11 UTC
(In reply to Ilia Mirkin from comment #82) 
> You should see the following print:
> 
> nvkm_info(&pmu->subdev, "hw bug workaround enabled\n");
> 
> in your kernel log. You need to be running Linux 4.3-rcN for that code to
> exist in the driver (or a driver built from Ben's repo).

Thx for the info. I do not see this trace and actually it seems that the code around the workaround is not called. Is it possible that it fails before ?
"timeout at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1478/gf100_gr_init_ctxctl"

It timeouts from gf100.c and the trace you pointed is in gk104.c, if it helps.
I added more traces in gk104_pmu_pgob and it does not print. 
(I set: echo 9 | sudo tee /sys/module/drm/parameters/debug   and  added some nvkm_error,   nothing about "workaround" in /var/logs/kern.log")
Comment 84 Julien Isorce 2015-11-04 00:24:14 UTC
I think I now why the workaround is no applied, it is because it is only for NVE4, 6 and 7. And my GT 750M seems to be threatened as "NVC0 (GF100) 	GeForce GTX (465, 470, 480, 480M) Quadro 4000, 5000[M] (??), 6000". See http://nouveau.freedesktop.org/wiki/CodeNames/.

Indeed it fails in gf100.c:1478/gf100_gr_init_ctxctl (i.e. GF100) instead of going to gk104.c (i.e. NVE4 GK104, or NVE7 GK107) where the War00C800 is handled.

Or maybe this is an expected behavior since I am not trying to use this graphic card (GT 750M) for X11 but only for HW decoding. (the other graphic card, intel is set to be used by the X11). 

When running LIBVA_DRIVER_NAME=gallium vainfo --display drm
It hits "case 0xe0: obj_class = NVE4_P2MF_CLASS;" in nvc0_screen_create

#0  abi16_engobj (obj=0x613d20) at abi16.c:109
#1  0x00007ffff4163165 in nouveau_object_new (parent=parent@entry=0x613750, handle=handle@entry=3203347007, oclass=41024, 
    data=data@entry=0x0, length=8, length@entry=0, pobj=pobj@entry=0x613728) at nouveau.c:295
#2  0x00007ffff50ab4c9 in nvc0_screen_create (dev=0x6131e0) at nvc0/nvc0_screen.c:722
#3  0x00007ffff4fb9d59 in nouveau_drm_screen_create (fd=fd@entry=3) at nouveau_drm_winsys.c:119
#4  0x00007ffff4e59944 in pipe_nouveau_create_screen (fd=3)
    at ../../../../src/gallium/auxiliary/target-helpers/inline_drm_helper.h:171
#5  dd_create_screen (fd=fd@entry=3) at ../../../../src/gallium/auxiliary/target-helpers/inline_drm_helper.h:392
#6  0x00007ffff4e5a71e in __vaDriverInit_0_38 (ctx=0x604030) at context.c:152
#7  0x00007ffff7bc10e8 in va_openDriver (dpy=dpy@entry=0x604220, driver_name=<optimised out>) at va.c:296
#8  0x00007ffff7bc1fab in vaInitialize (dpy=dpy@entry=0x604220, major_version=major_version@entry=0x7fffffffb820, 
    minor_version=minor_version@entry=0x7fffffffb824) at va.c:559
#9  0x00000000004015d0 in main (argc=1, argv=0x7fffffffb978) at vainfo.c:116
(gdb) n
118		dev = nouveau_object_find(obj, NOUVEAU_DEVICE_CLASS);
(gdb) n
109	{
(gdb) n
111			.channel = obj->parent->handle,
(gdb) n
110		struct drm_nouveau_grobj_alloc req = {
(gdb) n
118		dev = nouveau_object_find(obj, NOUVEAU_DEVICE_CLASS);
(gdb) n
119		ret = drmCommandWrite(dev->fd, DRM_NOUVEAU_GROBJ_ALLOC,
(gdb) n
121		if (ret)
(gdb) n
126	}
(gdb) n
nouveau_object_new (parent=parent@entry=0x613750, handle=handle@entry=3203347007, oclass=41024, data=data@entry=0x0, 
    length=<optimised out>, length@entry=0, pobj=pobj@entry=0x613728) at nouveau.c:296
296				break;
(gdb) n
302		if (ret) {
(gdb) n
303			free(obj);
(gdb) n
309	}
(gdb) n
304			return ret;
(gdb) n
309	}
(gdb) n
nvc0_screen_create (dev=0x6131e0) at nvc0/nvc0_screen.c:724
724	   if (ret)
(gdb) n
725	      FAIL_SCREEN_INIT("Error allocating PGRAPH context for M2MF: %d\n", ret);
(gdb) 
ret is -16

Any idea ? Thx
Comment 85 Ilia Mirkin 2015-11-04 00:30:58 UTC
(In reply to Julien Isorce from comment #84)
> Any idea ? Thx

You have a GK107. It probably needs the PGOB fix as well as another user on this bug needed it. See http://cgit.freedesktop.org/nouveau/linux-2.6/commit/?h=linux-4.4&id=3c9aca318150ba1152e957a37473ff67d8ebba30 -- should be on its way to linux 4.4.
Comment 86 Julien Isorce 2015-11-04 00:58:32 UTC
(In reply to Ilia Mirkin from comment #85)
> (In reply to Julien Isorce from comment #84)
> > Any idea ? Thx
> 
> You have a GK107. It probably needs the PGOB fix as well as another user on
> this bug needed it. See
> http://cgit.freedesktop.org/nouveau/linux-2.6/commit/?h=linux-4.
> 4&id=3c9aca318150ba1152e957a37473ff67d8ebba30 -- should be on its way to
> linux 4.4.

Thx I can confirm it resolved my problem. I thought I was testing with darktama branch few weeks ago but maybe not. Anyway I applied the patch you pointed in the kernel tree directly (today git master). After a fresh build and install I can confirm it works. HW decoding too :)

I only tested with patch+workaround, but maybe "patch" is enough. I can try to confirm tomorrow. Thx!
Comment 87 Ilia Mirkin 2015-11-04 01:00:08 UTC
(In reply to Julien Isorce from comment #86)
> I only tested with patch+workaround, but maybe "patch" is enough. I can try
> to confirm tomorrow. Thx!

Please do -- the workaround is necessary for a fraction of users. We're unsure when it's safe to enable.
Comment 88 Julien Isorce 2015-11-04 08:09:17 UTC
(In reply to Ilia Mirkin from comment #87)
> (In reply to Julien Isorce from comment #86)
> > I only tested with patch+workaround, but maybe "patch" is enough. I can try
> > to confirm tomorrow. Thx!
> 
> Please do -- the workaround is necessary for a fraction of users. We're
> unsure when it's safe to enable.

I confirm the workaround "options nouveau config=War00C800_0=1" is required too.

You can find the two lspci outputs in comment #75 and #81 (mine).
Comment 89 Samuel Pitoiset 2015-11-24 16:33:52 UTC
*** Bug 87942 has been marked as a duplicate of this bug. ***
Comment 90 Wouter van Kesteren 2015-12-03 23:08:07 UTC
Hello, i'm not exactly sure if this is the right place but i just tried kernel 4.4.0-rc3.
I wanted to add that on my machine a manual 'c800' workaround was also needed to make it work.
My laptop is a Clevo barebone with 'Model: W355ST' 'Product code: W355STQ' on the back and dmidecode gives 'W35xSTQ_370ST'

% dmesg | grep nouveau without 'c800':

nouveau 0000:01:00.0: enabling device (0006 -> 0007)
nouveau 0000:01:00.0: NVIDIA GK106 (0e6220a1)
nouveau 0000:01:00.0: bios: version 80.06.51.00.17
nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
nouveau 0000:01:00.0: bus: MMIO write of 00000004 FAULT at 620018 [ IBUS ]
nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
nouveau 0000:01:00.0: DRM: DCB version 4.0
nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
nouveau 0000:01:00.0: DRM: evicting buffers...
nouveau 0000:01:00.0: DRM: waiting for kernel channels to go idle...
nouveau 0000:01:00.0: DRM: suspending client object trees...
nouveau 0000:01:00.0: DRM: suspending kernel object tree...
nouveau 0000:01:00.0: DRM: resuming kernel object tree...
nouveau 0000:01:00.0: bus: MMIO write of 00000004 FAULT at 620018 [ IBUS ]
nouveau 0000:01:00.0: DRM: resuming client object trees...
nouveau 0000:01:00.0: timeout at /root/kernel/git/drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1479/gf100_gr_init_ctxctl()!
nouveau 0000:01:00.0: gr: 409000 - done 00000240
nouveau 0000:01:00.0: gr: 409000 - stat 00000000 00000000 00000000 00000000
nouveau 0000:01:00.0: gr: 409000 - stat 00000000 00000000 00000006 00000001
nouveau 0000:01:00.0: gr: 502000 - done 00000340
nouveau 0000:01:00.0: gr: 502000 - stat 80000000 00006500 00000000 00000000
nouveau 0000:01:00.0: gr: 502000 - stat 00000000 00000000 00000002 00000000
nouveau 0000:01:00.0: gr: 50a000 - done 00000300
nouveau 0000:01:00.0: gr: 50a000 - stat 00000000 0000f100 00000000 00000000
nouveau 0000:01:00.0: gr: 50a000 - stat 00000000 00000000 00000000 00000000
nouveau 0000:01:00.0: gr: 512000 - done 00000300
nouveau 0000:01:00.0: gr: 512000 - stat 00000000 00000000 00000000 00000000
nouveau 0000:01:00.0: gr: 512000 - stat 00000000 00000000 00000000 00000000
nouveau 0000:01:00.0: gr: init failed, -16
nouveau 0000:01:00.0: DRM: evicting buffers...
nouveau 0000:01:00.0: DRM: waiting for kernel channels to go idle...

% dmesg | grep nouveau with 'c800':

Command line: initrd=\efi\exherbo\initramfs.cpio.xz nouveau.config=War00C800_0=1
nouveau 0000:01:00.0: enabling device (0006 -> 0007)
nouveau 0000:01:00.0: NVIDIA GK106 (0e6220a1)
nouveau 0000:01:00.0: bios: version 80.06.51.00.17
nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
nouveau 0000:01:00.0: bus: MMIO write of 00000004 FAULT at 620018 [ IBUS ]
nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
nouveau 0000:01:00.0: DRM: DCB version 4.0
nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
nouveau 0000:01:00.0: DRM: evicting buffers...
nouveau 0000:01:00.0: DRM: waiting for kernel channels to go idle...
nouveau 0000:01:00.0: DRM: suspending client object trees...
nouveau 0000:01:00.0: DRM: suspending kernel object tree...
nouveau 0000:01:00.0: DRM: resuming kernel object tree...
nouveau 0000:01:00.0: bus: MMIO write of 00000004 FAULT at 620018 [ IBUS ]
nouveau 0000:01:00.0: DRM: resuming client object trees...
nouveau 0000:01:00.0: pmu: hw bug workaround enabled
nouveau 0000:01:00.0: pmu: hw bug workaround enabled
nouveau 0000:01:00.0: DRM: evicting buffers...
nouveau 0000:01:00.0: DRM: waiting for kernel channels to go idle...
nouveau 0000:01:00.0: DRM: suspending client object trees...
nouveau 0000:01:00.0: DRM: suspending kernel object tree...

% lspci -nnv

01:00.0 3D controller [0302]: NVIDIA Corporation GK106M [GeForce GTX 765M] [10de:11e2] (rev a1)
	Subsystem: CLEVO/KAPOK Computer GK106M [GeForce GTX 765M] [1558:3537]
	Flags: bus master, fast devsel, latency 0, IRQ 26
	Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f0000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at f7000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Capabilities: [900] #19
	Kernel driver in use: nouveau

I think this should be enough info to put the workaround in the kernel right?
Comment 91 Bozhan Boyadzhiev 2015-12-17 17:46:14 UTC
(In reply to bruno.pagani from comment #80)
> Well initial report was for 3.11 here, so don’t think something has changed.
> 
> Also why do you set nouveau.runpm=0? Doesn’t work without it?

It is not needed.
Comment 92 Ilia Mirkin 2015-12-17 17:48:54 UTC
The latest kernel, 4.4-rc5, actually enables this workaround by default, for everyone. Marking this as fixed.
Comment 93 Bozhan Boyadzhiev 2015-12-18 08:09:52 UTC
Ilia, 
what about this messages:

nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
bus: MMIO write of 00000002 FAULT at 4188ac [ IBUS ]
Comment 94 bruno.pagani 2016-02-02 23:16:08 UTC
So, after 4.4 landed on Arch, finally got this working.

Though, like previous poster, I have some messages in dmesg:

[  336.351782] nouveau 0000:02:00.0: bus: MMIO write of 00000002 FAULT at 4188ac [ IBUS ]
[  336.410877] nouveau 0000:02:00.0: DRM: Pointer to TMDS table invalid
[  336.410880] nouveau 0000:02:00.0: DRM: Pointer to flat panel table invalid

Should I open a new bug for those?


bug/show.html.tmpl processed on Jun 25, 2016 at 08:39:40.
(provided by the Example extension).